### Function

# Gio Resolver free_addresses

since: 2.22

#### Declaration

    void
    g_resolver_free_addresses (
      GList* addresses
    )

#### Description

Frees `addresses` (which should be the return value from `g_resolver_lookup_by_name()` or g_resolver_lookup_by_name_finish()). (This is a convenience method; you can also simply free the results by hand.).

Available since: 2.22

This function is not directly available to language bindings.

#### Parameters

`addresses`

  Type: A list of `gpointer`

  A `GList` of `GInetAddress`.

  The data is owned by the caller of the function.